RESOLVED FIXED

Status

mozilla.org Graveyard
Server Operations
RESOLVED FIXED
6 years ago
3 years ago

People

(Reporter: darktrojan, Assigned: oremj)

Tracking

Details

(URL)

(Reporter)

Description

6 years ago
This file is getting 301 redirected to itself.
(Reporter)

Comment 1

6 years ago
Hmm, this only seems to happen with the ?74926 query string.
Summary: https://static.addons.mozilla.net/css/amo2009/style.min.css is redirecting to itself → https://static.addons.mozilla.net/css/amo2009/style.min.css?74926 is redirecting to itself
Is this being linked to on a page somewhere?
(Reporter)

Comment 3

6 years ago
All the remaining old pages (login page, developer FAQ and others).
Ah, I see.  We had this briefly when we flipped to the new DC but it seemed to resolve itself.  Apparently it's back.

I think oremj turned on the CDN today and I'm guessing a rewrite somewhere in the system is causing our troubles.  Turning off the CDN may help, but at this point the URL is cached so I think we'll need to:

1) Turn off the CDN (I hope this fixes it...)
2) Adjust the cache buster[1]
3) Flush zeus

[1] You can adjust the cache busting string by modifying build.py.  Just change the strings however you want.
Assignee: nobody → server-ops
Severity: major → critical
Component: Public Pages → Server Operations
Product: addons.mozilla.org → mozilla.org
QA Contact: web-ui → mrz
Version: unspecified → other
Cleared cache in zlb for this file which seems to have fixed it.

There is still an underlying problem here as to why this happens in the first place.  Not sure what the cache buster is but maybe that has something to do with this?

Giving to oremj for follow-up, but the specific file at hand has been restored.
Assignee: server-ops → jeremy.orem+bugs
Severity: critical → normal
(Assignee)

Comment 6

6 years ago
web8, which was supposed to be rebuilt, came back as the old 6G host. That is a possible cause. I've removed it from the pool.
(Assignee)

Comment 7

6 years ago
(In reply to Wil Clouser [:clouserw] from comment #4)
> Ah, I see.  We had this briefly when we flipped to the new DC but it seemed
> to resolve itself.  Apparently it's back.
> 
> I think oremj turned on the CDN today and I'm guessing a rewrite somewhere
> in the system is causing our troubles.  Turning off the CDN may help, but at
> this point the URL is cached so I think we'll need to:
> 

Just for book keeping, the CDN was turned back on Friday (8/26), so that most likely was not the issue here.
(Assignee)

Comment 8

6 years ago
Sorry for all the spam. Two more things:

1) static.addons.mozilla.net hits us directly, static-cdn.addons.mozilla.net hits our CDN

2) I have confirmed that it was web8 that was sending redirects for this url.

 grep -r '/css/amo2009/style.min.css?74926' access_2011-08-30-0*

access_2011-08-30-01:218.135.191.7 - - [29/Aug/2011:18:31:32 -0700] "GET /css/amo2009/style.min.css?74926 HTTP/1.1" 301 273 "https://addons.mozilla.org/ja/statistics/addon/327795" "Mozilla/5.0 (Windows NT 6.1; rv:6.0) Gecko/20100101 Firefox/6.0"
access_2011-08-30-01:64.255.180.172 - - [29/Aug/2011:18:39:41 -0700] "GET /css/amo2009/style.min.css?74926 HTTP/1.1" 301 273 "https://addons.mozilla.org/en-US/firefox/users/login?to=/en-US/firefox/addon/concave-alloy-fusion-black/reviews/add" "Opera/9.80 (J2ME/MIDP; Opera Mini/5.1.21214/25.729; U; en) Presto/2.5.25 Version/10.54"
access_2011-08-30-02:72.53.194.237 - - [29/Aug/2011:19:22:01 -0700] "GET /css/amo2009/style.min.css?74926 HTTP/1.1" 301 273 "https://addons.mozilla.org/en-US/mobile/ui-dir/" "PANTECH-P7000/JDUS10052009; Mozilla/5.0 (Profile/MIDP-2.0 Configuration/CLDC-1.1; Opera Mini/att/4.2.15645; U; en-US) Opera 9.50"
access_2011-08-30-02:187.126.22.66 - - [29/Aug/2011:19:56:29 -0700] "GET /img/amo2009/bg/body.jpg HTTP/1.1" 200 42814 "https://static.addons.mozilla.net/css/amo2009/style.min.css?74926" "Mozilla/5.0 (Maemo; Linux armv7l; rv:6.0) Gecko/20110811 Firefox/6.0 Fennec/6.0"
access_2011-08-30-03:120.140.249.193 - - [29/Aug/2011:20:48:12 -0700] "GET /css/amo2009/style.min.css?74926 HTTP/1.1" 301 273 "https://addons.mozilla.org/en-US/firefox/browse/type:7" "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:6.0) Gecko/20100101 Firefox/6.0"
access_2011-08-30-03:217.210.154.228 - - [29/Aug/2011:20:57:55 -0700] "GET /css/amo2009/style.min.css?74926 HTTP/1.1" 301 273 "https://addons.mozilla.org/en-US/firefox/browse/type:7" "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:6.0) Gecko/20100101 Firefox/6.0"
access_2011-08-30-04:98.14.109.174 - - [29/Aug/2011:21:39:36 -0700] "GET /css/amo2009/style.min.css?74926 HTTP/1.0" 301 273 "https://addons.mozilla.org/en-US/firefox/browse/type:7" "Mozilla/5.0 (Windows NT 6.0; rv:6.0) Gecko/20100101 Firefox/6.0"
Status: NEW → RESOLVED
Last Resolved: 6 years ago
Resolution: --- → FIXED
(Assignee)

Comment 9

6 years ago
I noticed that this can happen if the .css file is not available on the fs:

[root@web8.addons.phx1 amo2009]# curl -sv -H "Host: static.addons.mozilla.net" "http://localhost:81/css/amo2009/style.min.css?74926" > /dev/null
* About to connect() to localhost port 81 (#0)
*   Trying ::1... connected
* Connected to localhost (::1) port 81 (#0)
> GET /css/amo2009/style.min.css?74926 HTTP/1.1
> User-Agent: curl/7.19.7 (x86_64-redhat-linux-gnu) libcurl/7.19.7 NSS/3.12.9.0 zlib/1.2.3 libidn/1.18 libssh2/1.2.2
> Accept: */*
> Host: static.addons.mozilla.net
> 
< HTTP/1.1 200 OK
< Date: Tue, 30 Aug 2011 07:50:30 GMT
< Server: Apache
< X-Backend-Server: web8
< Last-Modified: Tue, 30 Aug 2011 07:50:14 GMT
< ETag: "1b4c7"
< Accept-Ranges: bytes
< Content-Length: 111815
< Cache-Control: max-age=315360000
< Expires: Fri, 27 Aug 2021 07:50:30 GMT
< Content-Type: text/css
< 
{ [data not shown]
* Connection #0 to host localhost left intact
* Closing connection #0
[root@web8.addons.phx1 amo2009]# ls
autocomplete.css  editors.css  ie7.css  iepngfix.htc         legacy.css      main.css          main-mozilla.css.orig  nojs.css      style.min.css      zamboni
developers.css    ie6.css      ie.css   jquery-lightbox.css  localizers.css  main-mozilla.css  main-mozilla.css.rej   slimbox2.css  style.min.css.old
[root@web8.addons.phx1 amo2009]# rm style.min.css
rm: remove regular file `style.min.css'? y
[root@web8.addons.phx1 amo2009]# curl -sv -H "Host: static.addons.mozilla.net" "http://localhost:81/css/amo2009/style.min.css?74926" > /dev/null
* About to connect() to localhost port 81 (#0)
*   Trying ::1... connected
* Connected to localhost (::1) port 81 (#0)
> GET /css/amo2009/style.min.css?74926 HTTP/1.1
> User-Agent: curl/7.19.7 (x86_64-redhat-linux-gnu) libcurl/7.19.7 NSS/3.12.9.0 zlib/1.2.3 libidn/1.18 libssh2/1.2.2
> Accept: */*
> Host: static.addons.mozilla.net
> 
< HTTP/1.1 302 Found
< Date: Tue, 30 Aug 2011 07:51:17 GMT
< Server: Apache
< X-Backend-Server: web8
< X-Powered-By: PHP/5.3.3
< X-AMO-ServedBy: web8.addons.phx1.mozilla.com
< Cache-Control: no-store, no-cache, must-revalidate, post-check=0, pre-check=0, private
< Pragma: no-cache
< Location: https://static.addons.mozilla.net/en-US/css/amo2009/style.min.css?74926
< Content-Length: 0
< Content-Type: text/html; charset=UTF-8
Product: mozilla.org → mozilla.org Graveyard
You need to log in before you can comment on or make changes to this bug.